  ! This file will be deleted soon. (yot, 2010/09/10)

    != Nakajima et al. (1992) を用いた飽和比湿の算出
    !
    != Evaluate saturation specific humidity with Nakajima et al. (1992)
    !
    ! 積雲パラメタリゼーションや大規模凝結スキームでの使用時の
    ! 計算速度を確保するため, 飽和比湿計算は文関数として定義しています. 
    ! このファイルをプリプロセッサの #include コマンドによって
    ! 各ファイルに組み込みます. 
    !
    ! スキームの詳細については saturate_nha1992 を参照してください. 
    ! 
    ! Calculation for saturation specific humidity is declared as 
    ! statement function because computation speed is kept when 
    ! cumulus parameterization or large scale condensation scheme are 
    ! performed. This file is build in each file by
    ! "#include" command of preprocessor. 
    ! 
    ! See "saturate_nha1992" for detail of scheme. 
    !
    real(DP):: TempSF
                                ! $ T $ . 温度. Temperature
    real(DP):: PressSF
                                ! $ p $ . 気圧. Air pressure
    real(DP):: QVapSatSF
                                ! $ q^{*} $ . 飽和比湿. Saturation specific humidity
    real(DP):: GasRUnivSF
                              ! $ R^{*} $ [J K-1 mol-1].
                              ! 普遍気体定数.  Universal gas constant
    real(DP):: EpsVSF
                              ! $ \epsilon_v $ . 
                              ! 水蒸気分子量比. 
                              ! Molecular weight of water vapor
    real(DP), parameter:: LatHeatSF = 43655_DP
                              ! $ l $ [J mol-1].
                              ! 水の凝結の潜熱. Latent heat of condensation of water vapor
    real(DP), parameter:: P0SF = 1.4e+11_DP
                              ! $ p_0^{*} $ [Pa].
                              ! 水蒸気飽和曲線の定数. constant for water vapor saturation curve

    real(DP):: CalcQVapSatSF, CalcDQVapSatDTempSF

    CalcQVapSatSF( TempSF, PressSF ) = &
      & EpsVSF * ( P0SF / PressSF ) &
      &   * exp ( - LatHeatSF / ( GasRUnivSF * TempSF ) )

    CalcDQVapSatDTempSF( TempSF, QVapSatSF ) = &
      & QVapSatSF * LatHeatSF / ( GasRUnivSF * TempSF**2 )
